
## @knitr affyQCReport
## Installation des Paketes
#source("http://bioconductor.org/biocLite.R")
library(BiocInstaller)
biocLite("affyQCReport")


## @knitr Dilution
## Laden der Pakete
library(affy)
library(affydata)
library(affyQCReport)
library(hgu95av2cdf)
## Laden des Datensatzes
data(Dilution)


## @knitr affyQCReport1
## Öffnen eines neuen Graphikfensters
plot.new()
## Erzeuge Titelseite
titlePage(Dilution)


## @knitr affyQCReport2
## Stelle Signalverteilungen dar
signalDist(Dilution)


## @knitr simpleaffy
## Installation des Paketes
#source("http://bioconductor.org/biocLite.R")
library(BiocInstaller)
biocLite("simpleaffy")


## @knitr simpleaffy1
## Laden des Paketes
library(simpleaffy)


## @knitr affyQCReport3
## Erzeuge QC-Plot des Pakets "simpleaffy"
plot(qc(Dilution))


## @knitr affyQCReport4
## Stelle Expression der Kontrollproben dar
borderQC1(Dilution)


## @knitr affyQCReport5
## Stelle Koordinaten der Kontrollproben dar
borderQC2(Dilution)


## @knitr affyQCReport6
## Spearman Korrelation zwischen den Arrays
correlationPlot(Dilution)


## @knitr arrayQualityMetrics
## Installation des Paketes
#source("http://bioconductor.org/biocLite.R")
library(BiocInstaller)
biocLite("arrayQualityMetrics")


## @knitr arrayQualityMetrics1
## Laden des Paketes
library(arrayQualityMetrics)


## @knitr arrayQualityMetrics2
## Erzeuge den QC-Bericht
arrayQualityMetrics(Dilution, outdir = "arrayQualityMetricsAffy",
                    force = TRUE,
                    do.logtransform = TRUE)


## @knitr smoothScatter
## Laden des Paketes
library(graphics)
## Erzeugen des geglätteten Streudiagramms
smoothScatter(log2(exprs(Dilution)[,1]), log2(exprs(Dilution)[,3]), 
              xlab = "log2-Expression von Array 1",
              ylab = "log2-Expression von Array 3")
## Hinzufügen der Winkelhalbierenden
abline(a = 0, b = 1)


## @knitr hexbin
## Installation des Paketes
install.packages("hexbin", repos = "http://cran.at.r-project.org")


## @knitr hexbin1
## Laden des Paketes
library(hexbin)


## @knitr hexbinplot
## Erzeugung eines Dataframes mit den log2-Intensitäten
exprData <- data.frame(Array1 = log2(exprs(Dilution)[,1]),
                       Array3 = log2(exprs(Dilution)[,3]))
## Erzeuge den Plot
hexbinplot(Array3 ~ Array1, exprData,
           colramp = colorRampPalette(c("white", blues9)), ## Farben
           panel = function(...){
             panel.hexbinplot(...)  ## Hexbin-Plot
             panel.abline(a=0, b=1) ## Winkelhalbierende
           },
           ## log2-Transformation der Daten
           trans = log2, inv = function(x){2^x})


