
## @knitr convert
## Installation des Paketes
#source("http://bioconductor.org/biocLite.R")
library(BiocInstaller)
biocLite("convert")


## @knitr swirl
## Laden der Pakete
library(convert)
library(marray)
## Laden der Daten
data(swirl)


## @knitr as
## Umwandlung von marrayRaw nach marrayNorm
swirl.marrayNorm <- as(swirl, "marrayNorm")
## Umwandlung von marrayNorm nach MAList
swirl.MAList <- as(swirl.marrayNorm, "MAList")
## Umwandlung von MAList nach ExpressionSet
swirl.ExpressionSet <- as(swirl.MAList, "ExpressionSet")
swirl.ExpressionSet


## @knitr arrayQualityMetricsAndere
## Laden des Paketes
library(arrayQualityMetrics)
## Erzeuge QC-Bericht
arrayQualityMetrics(swirl.MAList, 
                    outdir = "arrayQualityMetricsAndere",
                    force = TRUE)


## @knitr maRb
## Erzeuge Bild vom roten Hintergrund
image(swirl[,3], xvar = "maRb")


## @knitr maGf
## Erzeuge Bild vom grünen Vordergrund
image(swirl[,3], xvar = "maGf")


## @knitr maM
## Erzeuge eine grün-rot Farbpalette
RGcol <- maPalette(low="green", high="red", k=50)
## Erzeuge Bild der M-Werte
image(swirl[,3], xvar="maM", 
      ## Auswahl der 10% größten und kleinsten Werte
      subset = maTop(maM(swirl[,3]), h=0.10, l=0.10), 
      col = RGcol, main="10% größte und kleinste M-Werte")


## @knitr boxplotmaM
## Erzeuge Boxplots der M-Werte
boxplot(swirl, yvar="maM", main="M-Werte aller Arrays")


## @knitr boxplotPrintTip
## Erzeuge Boxplots der M-Werte für Subarrays
boxplot(swirl[,3], xvar="maPrintTip", yvar="maM", 
        main = "Boxplot der Subarrays")


## @knitr plot
## Erzeuge Streudiagramm
plot(swirl[,3], pch = 20)
## Einfärben der 5% größten und kleinsten M-Werte
points(swirl[,3], subset=maTop(maM(swirl[,3]),h=0.05,l=0.05),
       pch=20, col="red")


