
## @knitr Lizenz
## Ausgabe der Lizenzinformationen zu R
license()


## @knitr install.packages
## Installation von Paket "MKmisc"
install.packages(pkgs = "MKmisc", 
                 repos = "http://cran.at.r-project.org")


## @knitr repos
## Setzen des Repositories als globale Option
options(repos = "http://cran.at.r-project.org")


## @knitr remove.packages
## Deinstallation von Paket "MKmsic"
remove.packages(pkgs = "MKmisc")


## @knitr library
## Auflistung der installierten Pakete
library()
## Lade Paket "MKmisc"
library(MKmisc)
## oder auch
require(MKmisc)


## @knitr MKmisc
## Überblick über Paket "MKmisc"
library(help = MKmisc)


## @knitr description
## das base Paket "stats"
packageDescription("stats")
## das recommended Paket "cluster"
packageDescription("cluster")
## das Erweiterungspaket "MKmisc"
packageDescription("MKmisc")


## @knitr help
## Hilfeseite für die Funktion log
help(log)
## oder kürzer
?log


## @knitr help.search
## suche alles zu logarithm
help.search("logarithm")
## oder kürzer
??logarithm


## @knitr helpBsp2
## öffnet Internetseite mit Suchergebnissen zu "logarithm"
RSiteSearch("logarithm")


## @knitr sos
## Laden des Paketes
library(sos)


## @knitr findFn
## Suche nach "logarithm" und lade max. die ersten beiden Seiten herunter
sos.log <- findFn("logarithm", maxPages = 2)
## Ausgabe einer Übersicht zu den Suchergebnissen
summary(sos.log)


## @knitr Funktionen
## Exponentialfunktion
exp(2)
## Logarithmus zur Basis 10
log10(1000)
## Gamma Funktion
gamma(3)


## @knitr Arithmetik
## Addition
1+1
## Subtraktion
2-1
## Multiplikation
2*2
## Division
3/2
## Potenzieren
2^3
## Division mit Rest ("modulo")
5 %% 2
## Division mit ganzen Zahlen
5 %/% 2


## @knitr Zuweisung
x <- 2 + 3
x
y <- 5-2
y
x+y


## @knitr biocLite
## Lade die Datei biocLite.R herunter
source("http://bioconductor.org/biocLite.R")


## @knitr Biobase
## Installation des Paketes "Biobase"
biocLite("Biobase")


## @knitr vignette
## zeige die zur Verfügung stehenden Vignetten aller installierten Pakete an
vignette() # -> Textdatei
browseVignettes() # -> HTML-Datei

## Vignetten des Paketes "Biobase"
vignette(package = "Biobase") # -> Textdatei
browseVignettes(package = "Biobase") # -> HTML-Datei

## Öffne die Vignette "Bioconductor" aus dem Paket "Biobase"
vignette(topic = "Bioconductor") # -> pdf-Datei


## @knitr sampleWorkflow
## Laden der Pakete
library(affy)
library(affydata)

## Laden der Daten
data(Dilution)

## Vorverarbeitung der Daten
eset <- expresso(Dilution, bgcorrect.method="rma",
                           normalize.method="quantiles",
                           pmcorrect.method="pmonly",
                           summary.method="medianpolish")


